[xiph-cvs] cvs commit: icecast autogen.sh

Karl Heyes karl at xiph.org
Wed Jul 30 07:46:35 PDT 2003



karl        03/07/30 10:46:35

  Modified:    .        autogen.sh
               .        autogen.sh
               .        autogen.sh
  Log:
  fix issues with non-portable echo flags and re-do the tests for automake
  version checking. The enrironment var AUTOMAKE can be used to indicate the
  first one to check for

Revision  Changes    Path
1.7       +34 -31    ices/autogen.sh

Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/ices/autogen.sh,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- autogen.sh	6 Jul 2003 13:13:02 -0000	1.6
+++ autogen.sh	30 Jul 2003 14:46:34 -0000	1.7
@@ -22,52 +22,55 @@
                                                                                 
 # do we need automake?
 if test -r Makefile.am; then
-  options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
-  AM_NEEDED=`echo "$options" | $VERSIONGREP`
-  if test -z "$AM_NEEDED" || test "x$AM_NEEDED" = "x$options"; then
-    echo -n "checking for automake..."
-    AUTOMAKE=automake
-    ACLOCAL=aclocal
-    if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
-      echo "yes"
+    echo Checking for automake version
+    options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
+    AM_NEEDED=`echo "$options" | $VERSIONGREP`
+    AM_PROGS=automake
+    AC_PROGS=aclocal
+    if test -n "$AM_NEEDED" && test "x$AM_NEEDED" != "x$options"
+    then
+        AM_PROGS="automake-$AM_NEEDED automake$AM_NEEDED $AM_PROGS"
+        AC_PROGS="aclocal-$AM_NEEDED aclocal$AM_NEEDED $AC_PROGS"
     else
-      echo "no"
-      AUTOMAKE=""
+        AM_NEEDED=""
     fi
-  else
-    echo -n "checking for automake $AM_NEEDED or later..."
-    for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
-      ($am --version < /dev/null > /dev/null 2>&1) || continue
-      ver=`$am --version < /dev/null | head -1 | $VERSIONGREP`
-      if test $ver = $AM_NEEDED; then
+    AM_PROGS="$AUTOMAKE $AM_PROGS"
+    AC_PROGS="$ACLOCAL $AC_PROGS"
+    for am in $AM_PROGS; do
+      ($am --version > /dev/null 2>&1) 2>/dev/null || continue
+      ver=`$am --version | head -1 | $VERSIONGREP`
+      AWK_RES=`echo $ver $AM_NEEDED | awk '{ if ( $1 >= $2 ) print "yes"; else print "no" }'`
+      if test "$AWK_RES" = "yes"; then
         AUTOMAKE=$am
-        echo $AUTOMAKE
+        echo "  found $AUTOMAKE"
         break
       fi
     done
-    test -z $AUTOMAKE &&  echo "no"
-    echo -n "checking for aclocal $AM_NEEDED or later..."
-    for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
-      ($ac --version < /dev/null > /dev/null 2>&1) || continue
+    for ac in $AC_PROGS; do
+      ($ac --version > /dev/null 2>&1) 2>/dev/null || continue
       ver=`$ac --version < /dev/null | head -1 | $VERSIONGREP`
-      if test $ver = $AM_NEEDED; then
+      AWK_RES=`echo $ver $AM_NEEDED | awk '{ if ( $1 >= $2 ) print "yes"; else print "no" }'`
+      if test "$AWK_RES" = "yes"; then
         ACLOCAL=$ac
-        echo $ACLOCAL
+        echo "  found $ACLOCAL"
         break
       fi
     done
-    test -z $ACLOCAL && echo "no"
-  fi
-  test -z $AUTOMAKE || test -z $ACLOCAL && {
+    test -z $AUTOMAKE || test -z $ACLOCAL && {
         echo
-        echo "You must have automake installed to compile $package."
+        if test -n "$AM_NEEDED"; then
+            echo "You must have automake version $AM_NEEDED installed"
+            echo "to compile $package."
+        else
+            echo "You must have automake installed to compile $package."
+        fi
         echo "Download the appropriate package for your distribution,"
         echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
         DIE=1
-  }
+      }
 fi
 
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+(libtoolize --version)  > /dev/null 2>&1 || {
         echo
         echo "You must have libtool installed to compile $package."
         echo "Download the appropriate package for your system,"
@@ -83,7 +86,7 @@
 echo "Generating configuration files for $package, please wait...."
 
 ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"
-if ! test -z $ACLOCAL; then
+if test -n "$ACLOCAL"; then
   echo "  $ACLOCAL $ACLOCAL_FLAGS"
   $ACLOCAL $ACLOCAL_FLAGS
 fi
@@ -94,7 +97,7 @@
 echo "  libtoolize --automake"
 libtoolize --automake
 
-if ! test -z $AUTOMAKE; then
+if test -n "$AUTOMAKE"; then
   echo "  $AUTOMAKE --add-missing"
   $AUTOMAKE --add-missing 
 fi

<p><p>1.6       +35 -32    libshout/autogen.sh

Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/libshout/autogen.sh,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- autogen.sh	6 Jul 2003 13:25:01 -0000	1.5
+++ autogen.sh	30 Jul 2003 14:46:35 -0000	1.6
@@ -2,7 +2,7 @@
 # Run this to set up the build system: configure, makefiles, etc.
 # (based on the version in enlightenment's cvs)
 
-package="libshout"
+package="ices"
 
 olddir=`pwd`
 srcdir=`dirname $0`
@@ -22,52 +22,55 @@
                                                                                 
 # do we need automake?
 if test -r Makefile.am; then
-  options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
-  AM_NEEDED=`echo "$options" | $VERSIONGREP`
-  if test -z "$AM_NEEDED" || test "x$AM_NEEDED" = "x$options"; then
-    echo -n "checking for automake..."
-    AUTOMAKE=automake
-    ACLOCAL=aclocal
-    if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
-      echo "yes"
+    echo Checking for automake version
+    options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
+    AM_NEEDED=`echo "$options" | $VERSIONGREP`
+    AM_PROGS=automake
+    AC_PROGS=aclocal
+    if test -n "$AM_NEEDED" && test "x$AM_NEEDED" != "x$options"
+    then
+        AM_PROGS="automake-$AM_NEEDED automake$AM_NEEDED $AM_PROGS"
+        AC_PROGS="aclocal-$AM_NEEDED aclocal$AM_NEEDED $AC_PROGS"
     else
-      echo "no"
-      AUTOMAKE=""
+        AM_NEEDED=""
     fi
-  else
-    echo -n "checking for automake $AM_NEEDED or later..."
-    for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
-      ($am --version < /dev/null > /dev/null 2>&1) || continue
-      ver=`$am --version < /dev/null | head -1 | $VERSIONGREP`
-      if test $ver = $AM_NEEDED; then
+    AM_PROGS="$AUTOMAKE $AM_PROGS"
+    AC_PROGS="$ACLOCAL $AC_PROGS"
+    for am in $AM_PROGS; do
+      ($am --version > /dev/null 2>&1) 2>/dev/null || continue
+      ver=`$am --version | head -1 | $VERSIONGREP`
+      AWK_RES=`echo $ver $AM_NEEDED | awk '{ if ( $1 >= $2 ) print "yes"; else print "no" }'`
+      if test "$AWK_RES" = "yes"; then
         AUTOMAKE=$am
-        echo $AUTOMAKE
+        echo "  found $AUTOMAKE"
         break
       fi
     done
-    test -z $AUTOMAKE &&  echo "no"
-    echo -n "checking for aclocal $AM_NEEDED or later..."
-    for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
-      ($ac --version < /dev/null > /dev/null 2>&1) || continue
+    for ac in $AC_PROGS; do
+      ($ac --version > /dev/null 2>&1) 2>/dev/null || continue
       ver=`$ac --version < /dev/null | head -1 | $VERSIONGREP`
-      if test $ver = $AM_NEEDED; then
+      AWK_RES=`echo $ver $AM_NEEDED | awk '{ if ( $1 >= $2 ) print "yes"; else print "no" }'`
+      if test "$AWK_RES" = "yes"; then
         ACLOCAL=$ac
-        echo $ACLOCAL
+        echo "  found $ACLOCAL"
         break
       fi
     done
-    test -z $ACLOCAL && echo "no"
-  fi
-  test -z $AUTOMAKE || test -z $ACLOCAL && {
+    test -z $AUTOMAKE || test -z $ACLOCAL && {
         echo
-        echo "You must have automake installed to compile $package."
+        if test -n "$AM_NEEDED"; then
+            echo "You must have automake version $AM_NEEDED installed"
+            echo "to compile $package."
+        else
+            echo "You must have automake installed to compile $package."
+        fi
         echo "Download the appropriate package for your distribution,"
         echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
         DIE=1
-  }
+      }
 fi
 
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+(libtoolize --version)  > /dev/null 2>&1 || {
         echo
         echo "You must have libtool installed to compile $package."
         echo "Download the appropriate package for your system,"
@@ -83,7 +86,7 @@
 echo "Generating configuration files for $package, please wait...."
 
 ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"
-if ! test -z $ACLOCAL; then
+if test -n "$ACLOCAL"; then
   echo "  $ACLOCAL $ACLOCAL_FLAGS"
   $ACLOCAL $ACLOCAL_FLAGS
 fi
@@ -94,7 +97,7 @@
 echo "  libtoolize --automake"
 libtoolize --automake
 
-if ! test -z $AUTOMAKE; then
+if test -n "$AUTOMAKE"; then
   echo "  $AUTOMAKE --add-missing"
   $AUTOMAKE --add-missing 
 fi

<p><p>1.4       +35 -32    icecast/autogen.sh

Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/icecast/autogen.sh,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- autogen.sh	21 Jul 2003 02:23:41 -0000	1.3
+++ autogen.sh	30 Jul 2003 14:46:35 -0000	1.4
@@ -2,7 +2,7 @@
 # Run this to set up the build system: configure, makefiles, etc.
 # (based on the version in enlightenment's cvs)
 
-package="icecast"
+package="ices"
 
 olddir=`pwd`
 srcdir=`dirname $0`
@@ -22,52 +22,55 @@
                                                                                 
 # do we need automake?
 if test -r Makefile.am; then
-  options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
-  AM_NEEDED=`echo "$options" | $VERSIONGREP`
-  if test -z "$AM_NEEDED" || test "x$AM_NEEDED" = "x$options"; then
-    echo -n "checking for automake..."
-    AUTOMAKE=automake
-    ACLOCAL=aclocal
-    if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
-      echo "yes"
+    echo Checking for automake version
+    options=`fgrep AUTOMAKE_OPTIONS Makefile.am`
+    AM_NEEDED=`echo "$options" | $VERSIONGREP`
+    AM_PROGS=automake
+    AC_PROGS=aclocal
+    if test -n "$AM_NEEDED" && test "x$AM_NEEDED" != "x$options"
+    then
+        AM_PROGS="automake-$AM_NEEDED automake$AM_NEEDED $AM_PROGS"
+        AC_PROGS="aclocal-$AM_NEEDED aclocal$AM_NEEDED $AC_PROGS"
     else
-      echo "no"
-      AUTOMAKE=""
+        AM_NEEDED=""
     fi
-  else
-    echo -n "checking for automake $AM_NEEDED or later..."
-    for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
-      ($am --version < /dev/null > /dev/null 2>&1) || continue
-      ver=`$am --version < /dev/null | head -1 | $VERSIONGREP`
-      if test $ver = $AM_NEEDED; then
+    AM_PROGS="$AUTOMAKE $AM_PROGS"
+    AC_PROGS="$ACLOCAL $AC_PROGS"
+    for am in $AM_PROGS; do
+      ($am --version > /dev/null 2>&1) 2>/dev/null || continue
+      ver=`$am --version | head -1 | $VERSIONGREP`
+      AWK_RES=`echo $ver $AM_NEEDED | awk '{ if ( $1 >= $2 ) print "yes"; else print "no" }'`
+      if test "$AWK_RES" = "yes"; then
         AUTOMAKE=$am
-        echo $AUTOMAKE
+        echo "  found $AUTOMAKE"
         break
       fi
     done
-    test -z $AUTOMAKE &&  echo "no"
-    echo -n "checking for aclocal $AM_NEEDED or later..."
-    for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
-      ($ac --version < /dev/null > /dev/null 2>&1) || continue
+    for ac in $AC_PROGS; do
+      ($ac --version > /dev/null 2>&1) 2>/dev/null || continue
       ver=`$ac --version < /dev/null | head -1 | $VERSIONGREP`
-      if test $ver = $AM_NEEDED; then
+      AWK_RES=`echo $ver $AM_NEEDED | awk '{ if ( $1 >= $2 ) print "yes"; else print "no" }'`
+      if test "$AWK_RES" = "yes"; then
         ACLOCAL=$ac
-        echo $ACLOCAL
+        echo "  found $ACLOCAL"
         break
       fi
     done
-    test -z $ACLOCAL && echo "no"
-  fi
-  test -z $AUTOMAKE || test -z $ACLOCAL && {
+    test -z $AUTOMAKE || test -z $ACLOCAL && {
         echo
-        echo "You must have automake installed to compile $package."
+        if test -n "$AM_NEEDED"; then
+            echo "You must have automake version $AM_NEEDED installed"
+            echo "to compile $package."
+        else
+            echo "You must have automake installed to compile $package."
+        fi
         echo "Download the appropriate package for your distribution,"
         echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
         DIE=1
-  }
+      }
 fi
 
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+(libtoolize --version)  > /dev/null 2>&1 || {
         echo
         echo "You must have libtool installed to compile $package."
         echo "Download the appropriate package for your system,"
@@ -83,7 +86,7 @@
 echo "Generating configuration files for $package, please wait...."
 
 ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4"
-if ! test -z $ACLOCAL; then
+if test -n "$ACLOCAL"; then
   echo "  $ACLOCAL $ACLOCAL_FLAGS"
   $ACLOCAL $ACLOCAL_FLAGS
 fi
@@ -94,7 +97,7 @@
 echo "  libtoolize --automake"
 libtoolize --automake
 
-if ! test -z $AUTOMAKE; then
+if test -n "$AUTOMAKE"; then
   echo "  $AUTOMAKE --add-missing"
   $AUTOMAKE --add-missing 
 fi

<p><p>--- >8 ----
List archives:  http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'cvs-request at xiph.org'
containing only the word 'unsubscribe' in the body.  No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.



More information about the commits mailing list